Notification handlers
GET https://biolinks.pt/api/notification-handlers/
curl --request GET \
--url 'https://biolinks.pt/api/notification-handlers/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://biolinks.pt/api/notification-handlers/' \
--header 'Authorization: Bearer {api_key}' \
| Parâmetros | Detalhes | Descrição |
|---|---|---|
| search | Opcional Fragmento | A string de pesquisa. |
| search_by | Opcional Fragmento | Por qual campo você está pesquisando. Os valores permitidos são: name. |
| is_enabled | Opcional Boleano | |
| type | Opcional Fragmento | Por qual campo você está pesquisando. Os valores permitidos são: . |
| order_by | Opcional Fragmento | Por qual campo classificar os resultados. Os valores permitidos são: notification_handler_id , datetime , last_datetime , name. |
| order_type | Opcional Fragmento | A ordem dos resultados. Os valores permitidos são: ASC para ordem crescente e DESC para ordem decrescente. |
| search | Opcional Fragmento | A string de pesquisa. |
| search_by | Opcional Fragmento | Por qual campo você está pesquisando. Os valores permitidos são: name. |
| is_enabled | Opcional Boleano | |
| type | Opcional Fragmento | Por qual campo você está pesquisando. Os valores permitidos são: . |
| order_by | Opcional Fragmento | Por qual campo classificar os resultados. Os valores permitidos são: notification_handler_id , datetime , last_datetime , name. |
| order_type | Opcional Fragmento | A ordem dos resultados. Os valores permitidos são: ASC para ordem crescente e DESC para ordem decrescente. |
| page | Opcional Inteiro | O número da página da qual você deseja resultados. O padrão é 1. |
| results_per_page | Opcional Inteiro | Quantos resultados você deseja por página. Os valores permitidos são: 10 , 25 , 50 , 100 , 250 , 500 , 1000. O padrão é 25. |
{
"data": [
{
"id": 1,
"type": "email",
"name": "Work email",
"settings": {
"email": "hey@example.com"
},
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-04-02 12:50:06",
}
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://biolinks.pt/api/notification-handlers?page=1",
"last": "https://biolinks.pt/api/notification-handlers?page=1",
"next": null,
"prev": null,
"self": "https://biolinks.pt/api/notification-handlers?page=1"
}
}
GET https://biolinks.pt/api/notification-handlers/{notification_handler_id}
curl --request GET \
--url 'https://biolinks.pt/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://biolinks.pt/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"type": "email",
"name": "Work email",
"settings": {
"email": "hey@example.com"
},
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-04-02 12:50:06",
}
}
POST https://biolinks.pt/api/notification-handlers
| Parâmetros | Detalhes | Descrição |
|---|---|---|
| name | Obrigatório Fragmento | - |
| type | Obrigatório Fragmento | Valores permitidos: |
curl --request POST \
--url 'https://biolinks.pt/api/notification-handlers' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'type=email' \
--form 'email=hello@example.com' \
--url 'https://biolinks.pt/api/notification-handlers' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'type=email' \
--form 'email=hello@example.com' \
{
"data": {
"id": 1
}
}
POST https://biolinks.pt/api/notification-handlers/{notification_handler_id}
| Parâmetros | Detalhes | Descrição |
|---|---|---|
| name | Opcional Fragmento | - |
| type | Opcional Fragmento | Valores permitidos: |
| is_enabled | Opcional Boleano | - |
curl --request POST \
--url 'https://biolinks.pt/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example new name' \
--form 'is_enabled=1' \
--url 'https://biolinks.pt/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example new name' \
--form 'is_enabled=1' \
{
"data": {
"id": 1
}
}
DELETE https://biolinks.pt/api/notification-handlers/{notification_handler_id}
curl --request DELETE \
--url 'https://biolinks.pt/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://biolinks.pt/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \